Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225108 - BibTool: optflags not honored
Summary: BibTool: optflags not honored
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: BibTool
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Patrice Dumas
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-28 23:47 UTC by Ville Skyttä
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 2.48-6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-29 18:00:22 UTC


Attachments (Terms of Use)
Honor optflags (deleted)
2007-01-28 23:47 UTC, Ville Skyttä
no flags Details | Diff

Description Ville Skyttä 2007-01-28 23:47:36 UTC
BibTool does not honor $RPM_OPT_FLAGS, resulting in no-no such as no compiler
generated security features and more or less useless debuginfo.  The included
configure script fails to affect the optflags used during compilation.

Patch attached, however this seems to cause build failures in
regex-0.12/regex.c, suggesting that there's some more work to be done.

glibc contains a regex library which looks similar to this (see
/usr/include/regex.h), perhaps it should be used instead of the bundled copy?

Comment 1 Ville Skyttä 2007-01-28 23:47:36 UTC
Created attachment 146800 [details]
Honor optflags

Comment 2 Patrice Dumas 2007-01-29 18:00:22 UTC
It should be fixed in 2.48-6, with system regex used.
There are tons of warnings, I am not willing to fix them.
I didn't used the system regex because of a comment in 
makefile, but I hope it will be right anyway. regex-0.12
is very outdated.

Because it may break with the system regex, I only update
in devel.

Thanks for the report.


Note You need to log in before you can comment on or make changes to this bug.